import request from '@/utils/request'

export function createDirectory(data) {
  return request({
    url: '/weChatDirectories',
    method: 'post',
    data: {
      name: data.name,
      wechatId: data.wechatId,
      phone: data.phone
    }
  })
}

export function fetchDirectory(query) {
  return request({
    url: `/weChatDirectories`,
    method: 'get',
    params: {
      name: query.name,
      limit: query.limit,
      offset: (query.page - 1) * query.limit
    }
  })
}
